Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Context_Impl_Base Class Reference

Non-template base class for Context_Impl. More...

`#include <Context_Impl_Base.h>`

Inheritance diagram for CIAO::Context_Impl_Base:

[legend]
Collaboration diagram for CIAO::Context_Impl_Base:

[legend]
List of all members.

## Public Member Functions
| Context_Impl_Base (void)
| Context_Impl_Base (Components::CCMHome_ptr home, Session_Container *c)
virtual | ~Context_Impl_Base (void)
## Public Attributes
virtual Components::Principal_ptr virtual get_caller_principal(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA Components::CCMHome_ptr virtual get_CCM_home(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA CORBA::Boolean virtual get_rollback_only(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA Components::Transaction::UserTransaction_ptr virtual get_user_transaction(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA CORBA::Boolean virtual is_caller_in_role(const char *role ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA void set_rollback_only(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA CIAO::Session_Container | _ciao_the_Container )(void) const
## Protected Attributes
Components::CCMHome_var | home_
Session_Container * | container_

## Detailed Description

Non-template base class for Context_Impl.

Holds the non-template parts of its child class Context_Impl.

## Constructor & Destructor Documentation

CIAO::Context_Impl_Base::Context_Impl_Base | ( | void |  | ) | `[explicit]`

CIAO::Context_Impl_Base::Context_Impl_Base | ( | Components::CCMHome_ptr | home,
|  | Session_Container * | c
| ) |

CIAO::Context_Impl_Base::~Context_Impl_Base | ( | void |  | ) | `[virtual]`

## Member Data Documentation

CIAO::Session_Container * CIAO::Context_Impl_Base::_ciao_the_Container

Session_Container* CIAO::Context_Impl_Base::container_`[protected]`

Components::CCMHome_var CIAO::Context_Impl_Base::home_`[protected]`

The documentation for this class was generated from the following files:

- Context_Impl_Base.h
- Context_Impl_Base.cpp